/***********************************************************************************************************************
 * @package		Learning
 * @author		Zahirul Hasan<info@zbabu.com>
 * @copyright	Copyright (c) 2011 - 2019 @ Zahirul Hasan (http://zbabu.com) All rights reserved.
 * @license		http://zbabu.com/license-agreement
 **********************************************************************************************************************/

// Tables

#table-row-variant(@state, @background) {
	// Exact selectors below required to override `.table-striped` and prevent
	// inheritance to nested tables.
	.table-@{state} {
		&,
		> th,
		> td {
			background-color: @background;
		}
	}

	// Hover states for `.table-hover`
	// Note: this is not available for cells or rows within `thead` or `tfoot`.
	.table-hover {
		@hover-background: darken(@background, 5%);

		.table-@{state} {
			#hover({
				background-color: @hover-background;

				> td,
				> th {
					background-color: @hover-background;
				}
			});
		}
	}
}
